> ## Documentation Index
> Fetch the complete documentation index at: https://docs.facture.ar/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener CUITs

> Obtiene la lista de CUITs asociados a tu cuenta y gestiona su información.



## OpenAPI

````yaml /openapi.json get /cuits
openapi: 3.1.0
info:
  title: Facturear API
  description: >-
    API completa para facturación electrónica en Argentina. Integra con AFIP y
    genera facturas electrónicas válidas de forma rápida y segura.
  version: 1.0.0
  contact:
    name: Facturear Support
    email: support@facture.ar
    url: https://facture.ar
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://facture.ar/api
    description: Servidor de producción
security:
  - apiKey: []
paths:
  /cuits:
    get:
      tags:
        - CUITs
      summary: Obtener CUITs
      description: >-
        Obtiene la lista de CUITs asociados a tu cuenta y gestiona su
        información.
      parameters:
        - name: status
          in: query
          description: Filtrar por estado del CUIT
          required: false
          schema:
            type: string
            enum:
              - active
              - inactive
              - pending
        - name: type
          in: query
          description: Filtrar por tipo de CUIT
          required: false
          schema:
            type: string
            enum:
              - monotributo
              - responsable_inscripto
              - exento
        - name: includeDefaults
          in: query
          description: Incluir valores por defecto
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Lista de CUITs obtenida exitosamente
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Cuit'
                  meta:
                    $ref: '#/components/schemas/Meta'
        '401':
          description: No autorizado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Cuit:
      type: object
      required:
        - id
        - cuit
        - businessName
        - status
      properties:
        id:
          type: string
          format: uuid
          description: ID único del CUIT
        cuit:
          type: string
          pattern: ^[0-9]{2}-[0-9]{8}-[0-9]{1}$
          description: Número de CUIT en formato XX-XXXXXXXX-X
        businessName:
          type: string
          description: Razón social de la empresa
        status:
          type: string
          enum:
            - active
            - inactive
            - pending
          description: Estado del CUIT
        type:
          type: string
          enum:
            - monotributo
            - responsable_inscripto
            - exento
          description: Tipo de CUIT
        category:
          type: string
          description: Categoría del monotributo (si aplica)
        createdAt:
          type: string
          format: date-time
          description: Fecha de creación
        updatedAt:
          type: string
          format: date-time
          description: Fecha de última actualización
    Meta:
      type: object
      properties:
        page:
          type: integer
          description: Página actual
        limit:
          type: integer
          description: Elementos por página
        total:
          type: integer
          description: Total de elementos
        totalPages:
          type: integer
          description: Total de páginas
    Error:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: string
          description: Código de error
        message:
          type: string
          description: Mensaje de error descriptivo
        details:
          type: object
          description: Detalles adicionales del error
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API Key para autenticación. Formato: test_sk_xxx para testing,
        prod_sk_xxx para producción.

````